Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPaneCaptionBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPaneCaptionBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPaneCaptionBase.cs	(revision 4068)
@@ -1,100 +1,83 @@
-using System;
+using System.Drawing;
+using System.Security.Permissions;
 using System.Windows.Forms;
-using System.Drawing;
-using System.Runtime.InteropServices;
-using System.Security.Permissions;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-	public abstract class DockPaneCaptionBase : Control
-	{
-		protected internal DockPaneCaptionBase(DockPane pane)
-		{
-			m_dockPane = pane;
+namespace WeifenLuo.WinFormsUI.Docking {
+  public abstract class DockPaneCaptionBase : Control {
+    protected internal DockPaneCaptionBase(DockPane pane) {
+      m_dockPane = pane;
 
-			SetStyle(ControlStyles.OptimizedDoubleBuffer |
+      SetStyle(ControlStyles.OptimizedDoubleBuffer |
                 ControlStyles.ResizeRedraw |
                 ControlStyles.UserPaint |
                 ControlStyles.AllPaintingInWmPaint, true);
-			SetStyle(ControlStyles.Selectable, false);
-		}
+      SetStyle(ControlStyles.Selectable, false);
+    }
 
-		private DockPane m_dockPane;
-		protected DockPane DockPane
-		{
-			get	{	return m_dockPane;	}
-		}
+    private DockPane m_dockPane;
+    protected DockPane DockPane {
+      get { return m_dockPane; }
+    }
 
-		protected DockPane.AppearanceStyle Appearance
-		{
-			get	{	return DockPane.Appearance;	}
-		}
+    protected DockPane.AppearanceStyle Appearance {
+      get { return DockPane.Appearance; }
+    }
 
-        protected bool HasTabPageContextMenu
-        {
-            get { return DockPane.HasTabPageContextMenu; }
+    protected bool HasTabPageContextMenu {
+      get { return DockPane.HasTabPageContextMenu; }
+    }
+
+    protected void ShowTabPageContextMenu(Point position) {
+      DockPane.ShowTabPageContextMenu(this, position);
+    }
+
+    protected override void OnMouseUp(MouseEventArgs e) {
+      base.OnMouseUp(e);
+
+      if (e.Button == MouseButtons.Right)
+        ShowTabPageContextMenu(new Point(e.X, e.Y));
+    }
+
+    protected override void OnMouseDown(MouseEventArgs e) {
+      base.OnMouseDown(e);
+
+      if (e.Button == MouseButtons.Left &&
+    DockPane.DockPanel.AllowEndUserDocking &&
+          DockPane.AllowDockDragAndDrop &&
+  !DockHelper.IsDockStateAutoHide(DockPane.DockState) &&
+          DockPane.ActiveContent != null)
+        DockPane.DockPanel.BeginDrag(DockPane);
+    }
+
+    [SecurityPermission(SecurityAction.LinkDemand, Flags = SecurityPermissionFlag.UnmanagedCode)]
+    protected override void WndProc(ref Message m) {
+      if (m.Msg == (int)Win32.Msgs.WM_LBUTTONDBLCLK) {
+        if (DockHelper.IsDockStateAutoHide(DockPane.DockState)) {
+          DockPane.DockPanel.ActiveAutoHideContent = null;
+          return;
         }
 
-        protected void ShowTabPageContextMenu(Point position)
-        {
-            DockPane.ShowTabPageContextMenu(this, position);
-        }
+        if (DockPane.IsFloat)
+          DockPane.RestoreToPanel();
+        else
+          DockPane.Float();
+      }
+      base.WndProc(ref m);
+    }
 
-        protected override void OnMouseUp(MouseEventArgs e)
-        {
-            base.OnMouseUp(e);
+    internal void RefreshChanges() {
+      if (IsDisposed)
+        return;
 
-            if (e.Button == MouseButtons.Right)
-                ShowTabPageContextMenu(new Point(e.X, e.Y));
-        }
+      OnRefreshChanges();
+    }
 
-        protected override void OnMouseDown(MouseEventArgs e)
-        {
-            base.OnMouseDown(e);
+    protected virtual void OnRightToLeftLayoutChanged() {
+    }
 
-            if (e.Button == MouseButtons.Left &&
-			    DockPane.DockPanel.AllowEndUserDocking &&
-                DockPane.AllowDockDragAndDrop &&
-				!DockHelper.IsDockStateAutoHide(DockPane.DockState) &&
-                DockPane.ActiveContent != null)
-				DockPane.DockPanel.BeginDrag(DockPane);
-        }
+    protected virtual void OnRefreshChanges() {
+    }
 
-        [SecurityPermission(SecurityAction.LinkDemand, Flags = SecurityPermissionFlag.UnmanagedCode)]         
-        protected override void WndProc(ref Message m)
-        {
-            if (m.Msg == (int)Win32.Msgs.WM_LBUTTONDBLCLK)
-            {
-                if (DockHelper.IsDockStateAutoHide(DockPane.DockState))
-                {
-                    DockPane.DockPanel.ActiveAutoHideContent = null;
-                    return;
-                }
-
-                if (DockPane.IsFloat)
-                    DockPane.RestoreToPanel();
-                else
-                    DockPane.Float();
-            }
-            base.WndProc(ref m);
-        }
-
-		internal void RefreshChanges()
-		{
-            if (IsDisposed)
-                return;
-
-			OnRefreshChanges();
-		}
-
-        protected virtual void OnRightToLeftLayoutChanged()
-        {
-        }
-
-		protected virtual void OnRefreshChanges()
-		{
-		}
-
-		protected internal abstract int MeasureHeight();
-	}
+    protected internal abstract int MeasureHeight();
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPaneCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPaneCollection.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPaneCollection.cs	(revision 4068)
@@ -1,47 +1,37 @@
-using System;
+using System.Collections.Generic;
 using System.Collections.ObjectModel;
-using System.Collections.Generic;
-using System.Drawing;
-using System.Windows.Forms;
 
-namespace WeifenLuo.WinFormsUI.Docking
-{
-	public class DockPaneCollection : ReadOnlyCollection<DockPane>
-	{
-        internal DockPaneCollection()
-            : base(new List<DockPane>())
-        {
-        }
+namespace WeifenLuo.WinFormsUI.Docking {
+  public class DockPaneCollection : ReadOnlyCollection<DockPane> {
+    internal DockPaneCollection()
+      : base(new List<DockPane>()) {
+    }
 
-		internal int Add(DockPane pane)
-		{
-			if (Items.Contains(pane))
-				return Items.IndexOf(pane);
+    internal int Add(DockPane pane) {
+      if (Items.Contains(pane))
+        return Items.IndexOf(pane);
 
-			Items.Add(pane);
-            return Count - 1;
-		}
+      Items.Add(pane);
+      return Count - 1;
+    }
 
-		internal void AddAt(DockPane pane, int index)
-		{
-			if (index < 0 || index > Items.Count - 1)
-				return;
-			
-			if (Contains(pane))
-				return;
+    internal void AddAt(DockPane pane, int index) {
+      if (index < 0 || index > Items.Count - 1)
+        return;
 
-			Items.Insert(index, pane);
-		}
+      if (Contains(pane))
+        return;
 
-		internal void Dispose()
-		{
-			for (int i=Count - 1; i>=0; i--)
-				this[i].Close();
-		}
+      Items.Insert(index, pane);
+    }
 
-		internal void Remove(DockPane pane)
-		{
-			Items.Remove(pane);
-		}
-	}
+    internal void Dispose() {
+      for (int i = Count - 1; i >= 0; i--)
+        this[i].Close();
+    }
+
+    internal void Remove(DockPane pane) {
+      Items.Remove(pane);
+    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPaneStripBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPaneStripBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.3.1/WinFormsUI-2.3.1/Docking/DockPaneStripBase.cs	(revision 4068)
@@ -1,252 +1,211 @@
 using System;
-using System.Windows.Forms;
+using System.Collections;
+using System.Collections.Generic;
+using System.Diagnostics.CodeAnalysis;
 using System.Drawing;
 using System.Drawing.Drawing2D;
-using System.Collections;
-using System.Collections.Generic;
 using System.Security.Permissions;
-using System.Diagnostics.CodeAnalysis;
-
-namespace WeifenLuo.WinFormsUI.Docking
-{
-	public abstract class DockPaneStripBase : Control
-	{
-        [SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")]        
-        protected internal class Tab : IDisposable
-        {
-            private IDockContent m_content;
-
-            public Tab(IDockContent content)
-            {
-                m_content = content;
-            }
-
-            ~Tab()
-            {
-                Dispose(false);
-            }
-
-            public IDockContent Content
-            {
-                get { return m_content; }
-            }
-
-            public Form ContentForm
-            {
-                get { return m_content as Form; }
-            }
-
-            public void Dispose()
-            {
-                Dispose(true);
-                GC.SuppressFinalize(this);
-            }
-
-            protected virtual void Dispose(bool disposing)
-            {
-            }
+using System.Windows.Forms;
+
+namespace WeifenLuo.WinFormsUI.Docking {
+  public abstract class DockPaneStripBase : Control {
+    [SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")]
+    protected internal class Tab : IDisposable {
+      private IDockContent m_content;
+
+      public Tab(IDockContent content) {
+        m_content = content;
+      }
+
+      ~Tab() {
+        Dispose(false);
+      }
+
+      public IDockContent Content {
+        get { return m_content; }
+      }
+
+      public Form ContentForm {
+        get { return m_content as Form; }
+      }
+
+      public void Dispose() {
+        Dispose(true);
+        GC.SuppressFinalize(this);
+      }
+
+      protected virtual void Dispose(bool disposing) {
+      }
+    }
+
+    [SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")]
+    protected sealed class TabCollection : IEnumerable<Tab> {
+      #region IEnumerable Members
+      IEnumerator<Tab> IEnumerable<Tab>.GetEnumerator() {
+        for (int i = 0; i < Count; i++)
+          yield return this[i];
+      }
+
+      IEnumerator IEnumerable.GetEnumerator() {
+        for (int i = 0; i < Count; i++)
+          yield return this[i];
+      }
+      #endregion
+
+      internal TabCollection(DockPane pane) {
+        m_dockPane = pane;
+      }
+
+      private DockPane m_dockPane;
+      public DockPane DockPane {
+        get { return m_dockPane; }
+      }
+
+      public int Count {
+        get { return DockPane.DisplayingContents.Count; }
+      }
+
+      public Tab this[int index] {
+        get {
+          IDockContent content = DockPane.DisplayingContents[index];
+          if (content == null)
+            throw (new ArgumentOutOfRangeException("index"));
+          return content.DockHandler.GetTab(DockPane.TabStripControl);
         }
-
-        [SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")]        
-        protected sealed class TabCollection : IEnumerable<Tab>
-        {
-            #region IEnumerable Members
-            IEnumerator<Tab> IEnumerable<Tab>.GetEnumerator()
-            {
-                for (int i = 0; i < Count; i++)
-                    yield return this[i];
-            }
-
-            IEnumerator IEnumerable.GetEnumerator()
-            {
-                for (int i = 0; i < Count; i++)
-                    yield return this[i];
-            }
-            #endregion
-
-            internal TabCollection(DockPane pane)
-            {
-                m_dockPane = pane;
-            }
-
-            private DockPane m_dockPane;
-            public DockPane DockPane
-            {
-                get { return m_dockPane; }
-            }
-
-            public int Count
-            {
-                get { return DockPane.DisplayingContents.Count; }
-            }
-
-            public Tab this[int index]
-            {
-                get
-                {
-                    IDockContent content = DockPane.DisplayingContents[index];
-                    if (content == null)
-                        throw (new ArgumentOutOfRangeException("index"));
-                    return content.DockHandler.GetTab(DockPane.TabStripControl);
-                }
-            }
-
-            public bool Contains(Tab tab)
-            {
-                return (IndexOf(tab) != -1);
-            }
-
-            public bool Contains(IDockContent content)
-            {
-                return (IndexOf(content) != -1);
-            }
-
-            public int IndexOf(Tab tab)
-            {
-                if (tab == null)
-                    return -1;
-
-                return DockPane.DisplayingContents.IndexOf(tab.Content);
-            }
-
-            public int IndexOf(IDockContent content)
-            {
-                return DockPane.DisplayingContents.IndexOf(content);
-            }
+      }
+
+      public bool Contains(Tab tab) {
+        return (IndexOf(tab) != -1);
+      }
+
+      public bool Contains(IDockContent content) {
+        return (IndexOf(content) != -1);
+      }
+
+      public int IndexOf(Tab tab) {
+        if (tab == null)
+          return -1;
+
+        return DockPane.DisplayingContents.IndexOf(tab.Content);
+      }
+
+      public int IndexOf(IDockContent content) {
+        return DockPane.DisplayingContents.IndexOf(content);
+      }
+    }
+
+    protected DockPaneStripBase(DockPane pane) {
+      m_dockPane = pane;
+
+      SetStyle(ControlStyles.OptimizedDoubleBuffer, true);
+      SetStyle(ControlStyles.Selectable, false);
+      AllowDrop = true;
+    }
+
+    private DockPane m_dockPane;
+    protected DockPane DockPane {
+      get { return m_dockPane; }
+    }
+
+    protected DockPane.AppearanceStyle Appearance {
+      get { return DockPane.Appearance; }
+    }
+
+    private TabCollection m_tabs = null;
+    protected TabCollection Tabs {
+      get {
+        if (m_tabs == null)
+          m_tabs = new TabCollection(DockPane);
+
+        return m_tabs;
+      }
+    }
+
+    internal void RefreshChanges() {
+      if (IsDisposed)
+        return;
+
+      OnRefreshChanges();
+    }
+
+    protected virtual void OnRefreshChanges() {
+    }
+
+    protected internal abstract int MeasureHeight();
+
+    protected internal abstract void EnsureTabVisible(IDockContent content);
+
+    protected int HitTest() {
+      return HitTest(PointToClient(Control.MousePosition));
+    }
+
+    protected internal abstract int HitTest(Point point);
+
+    protected internal abstract GraphicsPath GetOutline(int index);
+
+    protected internal virtual Tab CreateTab(IDockContent content) {
+      return new Tab(content);
+    }
+
+    protected override void OnMouseDown(MouseEventArgs e) {
+      base.OnMouseDown(e);
+
+      int index = HitTest();
+      if (index != -1) {
+        IDockContent content = Tabs[index].Content;
+        if (DockPane.ActiveContent != content)
+          DockPane.ActiveContent = content;
+      }
+
+      if (e.Button == MouseButtons.Left) {
+        if (DockPane.DockPanel.AllowEndUserDocking && DockPane.AllowDockDragAndDrop && DockPane.ActiveContent.DockHandler.AllowEndUserDocking)
+          DockPane.DockPanel.BeginDrag(DockPane.ActiveContent.DockHandler);
+      }
+    }
+
+    protected bool HasTabPageContextMenu {
+      get { return DockPane.HasTabPageContextMenu; }
+    }
+
+    protected void ShowTabPageContextMenu(Point position) {
+      DockPane.ShowTabPageContextMenu(this, position);
+    }
+
+    protected override void OnMouseUp(MouseEventArgs e) {
+      base.OnMouseUp(e);
+
+      if (e.Button == MouseButtons.Right)
+        ShowTabPageContextMenu(new Point(e.X, e.Y));
+    }
+
+    [SecurityPermission(SecurityAction.LinkDemand, Flags = SecurityPermissionFlag.UnmanagedCode)]
+    protected override void WndProc(ref Message m) {
+      if (m.Msg == (int)Win32.Msgs.WM_LBUTTONDBLCLK) {
+        base.WndProc(ref m);
+
+        int index = HitTest();
+        if (DockPane.DockPanel.AllowEndUserDocking && index != -1) {
+          IDockContent content = Tabs[index].Content;
+          if (content.DockHandler.CheckDockState(!content.DockHandler.IsFloat) != DockState.Unknown)
+            content.DockHandler.IsFloat = !content.DockHandler.IsFloat;
         }
 
-		protected DockPaneStripBase(DockPane pane)
-		{
-			m_dockPane = pane;
-
-			SetStyle(ControlStyles.OptimizedDoubleBuffer, true);
-			SetStyle(ControlStyles.Selectable, false);
-            AllowDrop = true;
-		}
-
-		private DockPane m_dockPane;
-		protected DockPane DockPane
-		{
-			get	{	return m_dockPane;	}
-		}
-
-		protected DockPane.AppearanceStyle Appearance
-		{
-			get	{	return DockPane.Appearance;	}
-		}
-
-        private TabCollection m_tabs = null;
-		protected TabCollection Tabs
-		{
-			get
-            {
-                if (m_tabs == null)
-                    m_tabs = new TabCollection(DockPane);
-
-                return m_tabs;
-            }
-		}
-
-		internal void RefreshChanges()
-		{
-            if (IsDisposed)
-                return;
-
-			OnRefreshChanges();
-		}
-
-		protected virtual void OnRefreshChanges()
-		{
-		}
-
-		protected internal abstract int MeasureHeight();
-
-		protected internal abstract void EnsureTabVisible(IDockContent content);
-
-		protected int HitTest()
-		{
-			return HitTest(PointToClient(Control.MousePosition));
-		}
-
-		protected internal abstract int HitTest(Point point);
-
-		protected internal abstract GraphicsPath GetOutline(int index);
-
-        protected internal virtual Tab CreateTab(IDockContent content)
-        {
-            return new Tab(content);
-        }
-
-        protected override void OnMouseDown(MouseEventArgs e)
-        {
-            base.OnMouseDown(e);
-
-            int index = HitTest();
-            if (index != -1)
-            {
-                IDockContent content = Tabs[index].Content;
-                if (DockPane.ActiveContent != content)
-                    DockPane.ActiveContent = content;
-            }
-
-            if (e.Button == MouseButtons.Left)
-            {
-                if (DockPane.DockPanel.AllowEndUserDocking && DockPane.AllowDockDragAndDrop && DockPane.ActiveContent.DockHandler.AllowEndUserDocking)
-                    DockPane.DockPanel.BeginDrag(DockPane.ActiveContent.DockHandler);
-            }
-        }
-
-        protected bool HasTabPageContextMenu
-        {
-            get { return DockPane.HasTabPageContextMenu; }
-        }
-
-        protected void ShowTabPageContextMenu(Point position)
-        {
-            DockPane.ShowTabPageContextMenu(this, position);
-        }
-
-        protected override void OnMouseUp(MouseEventArgs e)
-        {
-            base.OnMouseUp(e);
-
-            if (e.Button == MouseButtons.Right)
-                ShowTabPageContextMenu(new Point(e.X, e.Y));
-        }
-
-        [SecurityPermission(SecurityAction.LinkDemand, Flags = SecurityPermissionFlag.UnmanagedCode)]
-		protected override void WndProc(ref Message m)
-		{
-			if (m.Msg == (int)Win32.Msgs.WM_LBUTTONDBLCLK)
-			{
-				base.WndProc(ref m);
-
-				int index = HitTest();
-				if (DockPane.DockPanel.AllowEndUserDocking && index != -1)
-				{
-					IDockContent content = Tabs[index].Content;
-                    if (content.DockHandler.CheckDockState(!content.DockHandler.IsFloat) != DockState.Unknown)
-					    content.DockHandler.IsFloat = !content.DockHandler.IsFloat;	
-				}
-
-				return;
-			}
-
-			base.WndProc(ref m);
-			return;
-		}
-
-        protected override void OnDragOver(DragEventArgs drgevent)
-        {
-            base.OnDragOver(drgevent);
-
-            int index = HitTest();
-            if (index != -1)
-            {
-                IDockContent content = Tabs[index].Content;
-                if (DockPane.ActiveContent != content)
-                    DockPane.ActiveContent = content;
-            }
-        }
-	}
+        return;
+      }
+
+      base.WndProc(ref m);
+      return;
+    }
+
+    protected override void OnDragOver(DragEventArgs drgevent) {
+      base.OnDragOver(drgevent);
+
+      int index = HitTest();
+      if (index != -1) {
+        IDockContent content = Tabs[index].Content;
+        if (DockPane.ActiveContent != content)
+          DockPane.ActiveContent = content;
+      }
+    }
+  }
 }
